echo off

echo [*] WARNING make sure your device has 70% battery or more.
echo [*] Make sure your device has been returned to stock
echo [*] and that you have root and ADB on. 
echo [*] this script will update Kitkat to lollipop
echo [*] on your LG G Watch if you are on Build KNX01Q now
pause
adb push 1eac9298ba2d5ae80ba4663518a9882791d23344.signed-platina-LWX48P-from-KNX01Q.1eac9298.zip /sdcard/
adb shell su -c "cp /sdcard/1eac9298ba2d5ae80ba4663518a9882791d23344.signed-platina-LWX48P-from-KNX01Q.1eac9298.zip /cache/
adb shell su -c "chmod 777 /cache"
adb shell su -c "chmod 777 /cache/recovery"
adb shell su -c "echo 'boot-recovery ' > /cache/recovery/command"
adb shell su -c "echo '--update_package=/cache/1eac9298ba2d5ae80ba4663518a9882791d23344.signed-platina-LWX48P-from-KNX01Q.1eac9298.zip' > /cache/recovery/command"
adb reboot recovery
echo [*] UPDATE IN PROGRESS PLEASE WAIT....
echo [*] this script is done you can close it at any time.
pause
